Bug 64697 - /etc/pam.d/sshd has incorrect permissions?
Summary: /etc/pam.d/sshd has incorrect permissions?
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 8.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-09 19:52 UTC by Chris Ricker
Modified: 2007-04-18 16:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-04 13:28:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Ricker 2002-05-09 19:52:30 UTC
On a freshly installed 7.3 box, /etc/pam.d/sshd has permissions of 0600, while
all other pam.d configuration files have permissions of 0644.  Is there any
reason for sshd to be different?

[kaboom@hanuman pam.d]$ ls -l
total 18
-rw-r--r--    1 root     root          272 Apr 19 01:05 authconfig
-rw-r--r--    1 root     root          330 Apr  1 16:26 chfn
-rw-r--r--    1 root     root          330 Apr  1 16:26 chsh
-rw-r--r--    1 root     root          225 Apr 15 16:15 halt
-rw-r--r--    1 root     root          144 Apr 17 16:44 imap
-rw-r--r--    1 root     root          157 Apr  1 16:26 kbdrate
-rw-r--r--    1 root     root          427 Apr  1 16:26 login
-rw-r--r--    1 root     root          210 Apr  9 21:24 other
-rw-r--r--    1 root     root          211 Mar 13 18:44 passwd
-rw-r--r--    1 root     root          144 Apr 17 16:44 pop
-rw-r--r--    1 root     root          225 Apr 15 16:15 poweroff
-rw-r--r--    1 root     root          225 Apr 15 16:15 reboot
-rw-r--r--    1 root     root          144 Apr  8 04:55 smtp
-rw-------    1 root     root          452 Apr  4 20:27 sshd
-rw-r--r--    1 root     root          659 Apr  8 10:02 su
-rw-r--r--    1 root     root          278 Apr 18 10:35 sudo
-rw-r--r--    1 root     root          643 May  8 23:50 system-auth
-rw-r--r--    1 root     root          157 Apr 18 21:10 xserver
[kaboom@hanuman pam.d]$

Comment 1 Chris Ricker 2002-07-10 03:01:02 UTC
still true with the Limbo public beta

Comment 2 Dax Kelson 2002-08-21 06:25:58 UTC
Still in the Null beta.

Comment 3 Tomas Mraz 2005-02-04 13:28:25 UTC
Fixed in rawhide.



Note You need to log in before you can comment on or make changes to this bug.